## org.mortbay.stop
Class Main

    java.lang.Object
      |
      +--org.mortbay.stop.Main

public class Main
extends java.lang.Object

Main stop class. This class is intended to be the main class listed in the MANIFEST.MF of the stop.jar archive. It allows an application started with the command "java -jar start.jar" to be stopped. Programs started with start.jar may be stopped with the stop.jar, which connects via a local port to stop the server. The default port can be set with the STOP.PORT system property (a port of < 0 disables the stop mechanism). If the STOP.KEY system property is set, then a random key is generated and written to stdout. This key must be passed to the stop.jar.

Version:
  $Revision: 1.1.2.1 $
Author:
  Greg Wilkins

Constructor Summary
`Main()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(java.lang.String[] args)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.